GPSFAKE(1)

NAME
gpsfake - test harness for gpsd, simulating a GPS

SYNOPSIS

gpsfake [-h] [-c interval] [-l] [-n] [-o options] [-s speed] [logfile]

DESCRIPTION

gpsfake is a test harness for gpsd and its clients. It opens a pty (pseudo-TTY), launches a gpsd instance that thinks the slave side of the pty is its GPS device, and repeatedly feeds the contents of a test logfile through the master side to the GPS.

The logfile may be of either NMEA sentences or SiRF-II packets. Leading lines beginning with # will be treated as comments and ignored.

The gpsd instance is run in background, but with logging to standard error attached so you will see the messages.

OPTIONS

The -c option sets the delay between sentences in seconds. Fractional values of seconds are legal.

The -l option makes the program dump a line or packet number just before each sentence is fed to the daemon. If the sentence is textual (e.g., NMEA, the text is dumped as well).

The -n option suppresses launch of the daemon. Instead, gpsfake will tell you the name of the slave pty so you can launch in instance that reads it.

The -o option specifies options to pass to the daemon. Passing "-n -D 4" is often useful.

The -s option sets the baud rate for the slave tty. The default is 4800.

The -h option makes gpsfake print a usage message and exit.

The argument must be the name of a file containing the data to be cycled at the device. gpsfake will print a notification each time it cycles.

SEE ALSO

 gpsd(8), xgps(1), libgps(3), libgpsd(3), gpsprof(1), gnuplot(1).

AUTHOR

Eric S. Raymond <esr@thyrsus.com>. There is a project page for gpsd here: http://gpsd.berlios.de/.